import java.io.File

import org.apache.commons.lang3.StringUtils

import org.apache.commons.mail.MultiPartEmail
import org.apache.commons.mail.ImageHtmlEmail
import org.apache.commons.mail.EmailAttachment
import org.apache.commons.mail.resolver.DataSourceFileResolver
import org.apache.commons.mail.resolver.DataSourceUrlResolver

import com.sourcekraft.documentburster.utils.Utils;

def msg = ctx
def email

if (msg.isHtmlEmail)
	email = new ImageHtmlEmail()
else
	email = new MultiPartEmail()

if (msg.isAuthentication)
	email.setAuthentication(msg.authuser, msg.authpwd)
 
email.setHostName(msg.hostName)
email.setSmtpPort(msg.smtpPort)

email.setFrom(msg.fromAddress, msg.fromName)

email.setTLS(msg.isTls)
email.setSSL(msg.isSsl)
email.setDebug(msg.isDebug)

for (path in msg.attachments){
	EmailAttachment attachment = new EmailAttachment()
	attachment.setPath(path)
	attachment.setDisposition(EmailAttachment.ATTACHMENT)
	email.attach(attachment)
}

email.setSubject(msg.subject)

if (StringUtils.isNotEmpty(msg.textMessage)) {

	if (!msg.isHtmlEmail)
		email.setMsg(msg.textMessage)
	else
		((ImageHtmlEmail) email).setTextMsg(msg.textMessage)

}

if (msg.isHtmlEmail) {

	//in HTML you'll define an image from the web like this src="http://barefoot5k.com/wp-content/uploads/2014/12/pepsi-logo-300x204.png"
	//for images pointing to the web un-comment following line and change the URL (https not supported)
	//((ImageHtmlEmail) email).setDataSourceResolver(new DataSourceUrlResolver(new URL("http://barefoot5k.com")))
	
	//for images pointing to the web comment following line
	((ImageHtmlEmail) email).setDataSourceResolver(new DataSourceFileResolver(new File("./templates")))
	
	if (StringUtils.isNotEmpty(msg.htmlMessage)) 
		((ImageHtmlEmail) email).setHtmlMsg(msg.htmlMessage)

}

for (address in msg.tos){
	email.addTo(address)
}

for (address in msg.ccs){
	email.addCc(address)
}

for (address in msg.bccs){
	email.addBcc(address)
}

email.send()